Closed Bug 539904 Opened 11 years ago Closed 11 years ago

test_transitions.html is frequently failing on Places branch & TryServer

Categories

(Core :: Layout, defect, P2)

defect

Tracking

()

RESOLVED FIXED
mozilla1.9.3a5

People

(Reporter: mak, Assigned: dbaron)

Details

Attachments

(1 file)

our branch is practically identical to central till our changeset adbb42ccb494 (central changeset 4e25e2e82747) but we don't have splitted mochitests.
Are we missing something?
Maybe these failures could be useful to you to debug this test that in the past has had various failures.

s: moz2-darwin9-slave1886384 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 1s. - got "20.8px", expected "0px"
86418 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 2s. - got "20.8px", expected "0px"
86463 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 3s. - got "20.8px", expected "0px"
86497 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 4s. - got "20.8px", expected "0px"
86522 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 5s. - got "20.8px", expected "0px"
86556 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 6s. - got "20.8px", expected "0px"
86601 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 7s. - got "20.8px", expected "0px"
86632 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 8s. - got "20.8px", expected "0px"

http://tinderbox.mozilla.org/showlog.cgi?log=Places/1263514352.1263517554.1862.gz

in case you think there is something crazy in our boxes, feel free to invalid the bug.
Looks like this happened for 2 cycles on Mac and then went away.

This doesn't look like any of the random failures I've seen before (which have been fixed).
well we don't push a lot so i don't have large number to bring with me, but i preferred to file this bug so you were notified of this, sometimes randoms can hide real bugs.
TryServer has been experiencing a form of this bug, too:
{
> 87977 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 1s. - got "100px", expected "0px"
> 88011 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 2s. - got "100px", expected "0px"
> 88056 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 3s. - got "100px", expected "0px"
> 88090 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 4s. - got "100px", expected "0px"
> 88115 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 5s. - got "100px", expected "0px"
> 88149 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 6s. - got "100px", expected "0px"
> 88194 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 7s. - got "100px", expected "0px"
> 88225 ERROR TEST-UNEXPECTED-FAIL | /tests/layout/style/test/test_transitions.html | reset test value at time 8s. - got "100px", expected "0px"
}

7 out of the last 8 TryServer cycles have experienced this on one platform or another (the following are all for linux or mac):

http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266591279.1266600964.6494.gz
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266590037.1266600838.5953.gz
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266588467.1266602290.10985.gz
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266583778.1266593213.11907.gz
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266581747.1266591336.4832.gz
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266579114.1266589018.27552.gz
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266576106.1266591137.4008.gz

I'm not sure how long this has been failing on TryServer, but it seems to go back days at least -- e.g. here's a cycle from around 24 hrs ago:
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266518926.1266528356.7709.gz
Linux try hg unit test on 2010/02/18 10:48:46

...and another from around 48 hrs ago:
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1266438047.1266451578.10928.gz
OS X 10.5.2 try hg unit test on 2010/02/17 12:20:47

Note that at one of the cycles quoted in my initial list was for a no-op changeset [1], and yet it still had these test_transitions.html failures.  So this affects stock mozilla-central, on TryServer (though it hasn't shown up on the normal mozilla-central tinderboxen for whatever reason).
[1] http://hg.mozilla.org/try/rev/60e5d6d40eff
Summary: test_transitions.html is permanently failing on Places branch → test_transitions.html is frequently failing on Places branch & TryServer
Some (a lot?) of the logs include a hang + forced crash, but that seems coincidental -- at least, the final log (for "48 hrs ago") that I linked to in comment 3 has *just* the test_transitions.html failures.
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1269902054.1269913092.14552.gz
Linux try hg unit test on 2010/03/29 15:34:14
> reset test value at time 1s. - got "84.7333px", expected "0px"

http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1269928994.1269938355.4987.gz
Linux try hg unit test on 2010/03/29 23:03:14
> reset test value at time 1s. - got "3.53333px", expected "0px"
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1269920834.1269930639.19003.gz
Linux try hg unit test on 2010/03/29 20:47:14
> reset test value at time 1s. - got "100px", expected "0px"
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1270015093.1270027063.17487.gz
WINNT 5.2 try hg unit test on 2010/03/30 22:58:13
> reset test value at time 1s. - got "100px", expected "0px"
http://tinderbox.mozilla.org/showlog.cgi?log=MozillaTry/1270074074.1270083703.32169.gz
Linux try hg unit test on 2010/03/31 15:21:14
> reset test value at time 1s. - got "66.2333px", expected "0px"
I don't see this on any recent Places branch builds (I checked from March 18 to the present).  Are the recent try pushes that this has happened on against a relatively recent mozilla-central?
I think I see how this could happen in cases of massive clock skew, though, and how to fix it.
(In reply to comment #13)
> Are the recent try pushes that this has happened on against a
> relatively recent mozilla-central?

Yes.
(The logs that are from my pushes -- which include at least a few logs that I've posted here in the past 2-3 weeks -- are generally a maximum of 2 days behind mozilla-central)
Here's a patch to break what this test is testing.  I'm not sure why I need the first chunk, though; I was expecting to need only the second.  I should investigate that further.

I'm using this to verify that my changes to the test don't break the test.
http://hg.mozilla.org/mozilla-central/rev/9d286aa986c8
Status: NEW → RESOLVED
Closed: 11 years ago
Priority: -- → P2
Resolution: --- → FIXED
Target Milestone: --- → mozilla1.9.3a5
You need to log in before you can comment on or make changes to this bug.